%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		seahorse-sharing
Version:	3.8.0
Release:	%mkrel 7
Summary:	Share PGP public keys via DNS-SD and HKP
Group:		Graphical desktop/GNOME
License:	GPLv2+
Url:		http://www.gnome.org
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		seahorse-sharing-3.2-gpgme.patch
Patch1:		seahorse-sharing-3.6.2-automake-1.13.patch
BuildRequires:	intltool 
BuildRequires:	gettext-devel
BuildRequires:  gpgme-devel
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	pkgconfig(avahi-glib) >= 0.6
BuildRequires:	pkgconfig(sm)

%description
Share PGP public keys via DNS-SD and HKP.

%prep
%setup -q
%patch0 -p0 -b .gpgme-fix
%patch1 -p1

%build
autoreconf -fi
%configure2_5x
%make

%install
%makeinstall_std

%find_lang %name

# conflicts with seahorse
rm -rf %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/seahorse.mo

%files -f %name.lang
%doc README MAINTAINERS NEWS
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}
%{_datadir}/man/man1/%{name}.1*
%{_datadir}/pixmaps/seahorse/*/seahorse-share-keys.*


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 3.8.0-7.mga6
+ Revision: 938382
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.8.0-6.mga5
+ Revision: 748781
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.8.0-5.mga5
+ Revision: 689099
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 3.8.0-4.mga4
+ Revision: 545975
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 3.8.0-3.mga4
+ Revision: 502070
- actually apply automake 1.13 patch
- call autoreconf

* Sun May 26 2013 dams <dams> 3.8.0-2.mga4
+ Revision: 427821
- new version 3.8.0
- remove useless patch for automake

* Mon Jan 14 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 381930
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + fwang <fwang>
    - fix build with latest automake

* Mon Nov 12 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 317149
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297734
- new version 3.6.0

* Wed Sep 19 2012 fwang <fwang> 3.5.92-1.mga3
+ Revision: 296014
- new version 3.5.92

* Tue Jun 19 2012 fwang <fwang> 3.4.0-1.mga3
+ Revision: 261882
- update file list
- update file list
- br gettext-devel

  + ovitters <ovitters>
    - new version 3.4.0
    - new version 3.3.92

* Tue Oct 18 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 156061
- new version 3.2.1

* Sat Sep 24 2011 wally <wally> 3.2-1.mga2
+ Revision: 147394
- add patch to fix build on i586
- imported package seahorse-sharing

